package com.tutego.insel.ui.text;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class JTextAreaDemo
{
  static int style = Font.PLAIN,
             size = 12;

  public static void main( String[] args )
  {
    JFrame f = new JFrame();
    f.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );

    final JTextArea t = new JTextArea();
    t.setFont( new Font(Font.SANS_SERIF, style, size) );
    f.add( new JScrollPane( t ) );

    ActionListener al = new ActionListener()
    {
      public void actionPerformed( ActionEvent e )
      {
        if ( "Ende".equals(e.getActionCommand()) )
          System.exit( 0 );

        if ( "fett".equals(e.getActionCommand()) )
          style ^= Font.BOLD;
        else if ( "kursiv".equals(e.getActionCommand()) )
          style ^= Font.ITALIC;

        t.setFont( new Font(Font.SANS_SERIF, style, size) );
      }
    };

    JPanel p = new JPanel( new GridLayout(1,3) );
    f.add( p, BorderLayout.PAGE_START );

    AbstractButton b;

    p.add( b = new JToggleButton("fett") );
    b.addActionListener( al );
    b.setFont( new Font(Font.SANS_SERIF, Font.BOLD, 12) );

    p.add( b = new JToggleButton("kursiv") );
    b.addActionListener( al );
    b.setFont( new Font(Font.SANS_SERIF, Font.ITALIC, 12) );

    p.add( b = new JButton("Ende") );
    b.addActionListener( al );

    f.setSize( 400, 600 );
    f.setVisible( true );
  }
}

/*
 Ehemann: "Es ist doch immer wieder erstaunlich, dass die hübschesten Mädchen die größten Idioten heiraten!"
 Ehefrau: "Liebling, das ist das schönste Kompliment seit Jahren!"
*/